## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate opendal

Name:           rust-opendal
Version:        0.53.2
Release:        %autorelease
Summary:        Apache OpenDAL: One Layer, All Storage

License:        Apache-2.0
URL:            https://crates.io/crates/opendal
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          opendal-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * Bump size version
# * Remove criterion dev dependency
# * Remove opentelemetry dev dependency
# * Remove fasttrace dev dependency
# * Remove libtest-mimic dev dependency
Patch:          opendal-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
OpenDAL is an Open Data Access Layer that enables seamless
interaction with diverse storage services.
}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/CONTRIBUTING.md
%doc %{crate_instdir}/DEPENDENCIES.md
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/users.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+executors-tokio-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+executors-tokio-devel %{_description}

This package contains library source intended for building other packages which
use the "executors-tokio" feature of the "%{crate}" crate.

%files       -n %{name}+executors-tokio-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+internal-tokio-rt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal-tokio-rt-devel %{_description}

This package contains library source intended for building other packages which
use the "internal-tokio-rt" feature of the "%{crate}" crate.

%files       -n %{name}+internal-tokio-rt-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-fs-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-fs-devel %{_description}

This package contains library source intended for building other packages which
use the "services-fs" feature of the "%{crate}" crate.

%files       -n %{name}+services-fs-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-memcached-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-memcached-devel %{_description}

This package contains library source intended for building other packages which
use the "services-memcached" feature of the "%{crate}" crate.

%files       -n %{name}+services-memcached-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-memory-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-memory-devel %{_description}

This package contains library source intended for building other packages which
use the "services-memory" feature of the "%{crate}" crate.

%files       -n %{name}+services-memory-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+services-webdav-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+services-webdav-devel %{_description}

This package contains library source intended for building other packages which
use the "services-webdav" feature of the "%{crate}" crate.

%files       -n %{name}+services-webdav-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
# * The documentation requires services-s3 to be enabled
# * https://github.com/apache/opendal/issues/5932
%cargo_test -- --lib
%cargo_test -- --tests
%endif

%changelog
## START: Generated by rpmautospec
* Thu May 15 2025 Andreas Schneider <asn@redhat.com> - 0.53.2-1
- Bump version to 0.53.2

* Thu May 15 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-4
- Fix features with rust2rpm

* Tue Apr 29 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-3
- Run only the unit and integration tests

* Tue Apr 29 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-2
- Fix the summary and description

* Thu Apr 24 2025 Andreas Schneider <asn@redhat.com> - 0.53.1-1
- Initial package version 0.53.1
## END: Generated by rpmautospec
